package com.jh.memsource.settings;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.server.ResponseStatusException;

@RestController
public class SettingsApiController {

	@Autowired
	private SettingsService service;
	
	
	@GetMapping("/settings")
	public @ResponseBody Settings getSettings() {
		Settings s = service.getSettings();
		if (s == null) {
			throw new ResponseStatusException(HttpStatus.NOT_FOUND);
		}
		
		return s;
	}
	
	
	@PutMapping("/settings")
	@ResponseStatus
	public void saveSettings(@RequestBody Settings settings) {
		service.saveSettings(settings);
	}
	
}
